import socket
import time
import random

TCP_IP = 'localhost'
TCP_PORT = 15007
BUFFER_SIZE = 1024

# Open a TCP socket
s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
s.connect((TCP_IP, TCP_PORT))

while (True):
    time.sleep(0.5)
    sSize = s.send(b'set_value,DC1.value,0.0\n')
    data = s.recv(BUFFER_SIZE)
    print ('Sending value to DC1: ' + str(data))
    # Read the value of the scaler
    s.send(b'get_value,DC1.value\n')
    data = s.recv(BUFFER_SIZE)
    print ('DC1 value received: ' + str(data))
    time.sleep(1.5)
    sSize = s.send(b'set_value,DC1.value,-12.0\n')
    data = s.recv(BUFFER_SIZE)
    print ('Sending value to DC1: ' + str(data))
    # Read the value of the scaler
    s.send(b'get_value,DC1.value\n')
    data = s.recv(BUFFER_SIZE)
    print ('DC1 value received: ' + str(data))

